### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.session

# Interface SummaryDataInterface

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `SummaryData`

@SASScope("ALL") @BinaryCompatibilityOnly public interface SummaryDataInterface extends Remote
The SummaryDataInterface provides a mechanism for returning session summary information. Each session context can be bound to a user context. This contains a summary of the user information, such as the user context name, the user's email addresses, and the user's global profile.

Since:
  1.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List`
  `getEmailAddresses()`
  Get the email addresses defined for the person bound to this session.
  `long`
  `getLoginTime()`
  Get the timestamp when the user was authenticated.
  `ProfileInterface`
  `getProfile()`
  Get the global profile information for the person bound to this session.
  `String`
  `getSessionContextUniqueId()`
  Get the session context's unique id.
  `String`
  `getUniqueId()`
  Get the user's unique identifier.
  `String`
  `getUsername()`
  Get the name of the user context for this session.

- ## Method Details

  - ### getProfile

    ProfileInterface getProfile() throws RemoteException
    Get the global profile information for the person bound to this session.
    Returns:
      `ProfileInterface` the global profile
    Throws:
      `RemoteException` - if a network error occurs.

  - ### getUsername

    String getUsername() throws RemoteException
    Get the name of the user context for this session.
    Returns:
      `String`the user context name
    Throws:
      `RemoteException` - if a network error occurs.

  - ### getEmailAddresses

    List getEmailAddresses() throws RemoteException
    Get the email addresses defined for the person bound to this session.
    Returns:
      `List` a list of Strings that represent the email addresses.
    Throws:
      `RemoteException` - if a network error occurs.

  - ### getLoginTime

    long getLoginTime() throws RemoteException
    Get the timestamp when the user was authenticated.
    Returns:
      A long representing the login date/time.
    Throws:
      `RemoteException` - In the event of remote object failure.

  - ### getUniqueId

    String getUniqueId() throws RemoteException
    Get the user's unique identifier. Since names aren't always unique, this is necessary to uniquely locate a user context from the user service.
    Returns:
      A String representing the user's unique identifier.
    Throws:
      `RemoteException` - In the event of remote object failure.

  - ### getSessionContextUniqueId

    String getSessionContextUniqueId() throws RemoteException
    Get the session context's unique id.
    Returns:
      A String representing the session context's unique identifier.
    Throws:
      `RemoteException` - In the event of remote object failure.